gpg via cgi under BSDi - it works!

Sebastian Henschel
Thu, 20 Jan 2000 11:19:21 +0100

"Werner Koch" wrote:

> On Wed, 19 Jan 2000, Sebastian Henschel wrote:
> > gpg: /usr/local/lib/gnupg/rndegd: error loading extension: can't process
> > object file: Inappropriate file type or format
> So the dynamic linking does not work
> > i remind you all, that you cannot make gnupg with
> > "--enable-static-rnd=none" or "--enable-static-rnd=egd" on BSDi. and you
> Why? --enable-static-rnd=egd does not need any dynamically linked
> modules and is pretty standard C.
ok, that was my fault. i just took the info that the list gave me for getting gpg compiled under BSDi without thinking so much about the things i did there. if you --enable-static-rnd=egd you have to touch "rndunix", "rndlinux" and "tiger" in the cipher directory (+ the modification in the configure script). and now it works with the statically included egd (which you have to install in addition) :) thanx a lot for your help! best wishes... sebastian -- defcom webdressing gmbh ohlauer str. 42 10999 berlin phone: +49 30 617 76 999